Audio Science Sound Card firmware does not match the driver supplied by the kernel

Bug #1122377 reported by musicalvegan0 on 2013-02-11
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux-firmware (Ubuntu)
Undecided
Tim Gardner
Precise
Undecided
Tim Gardner
Raring
Undecided
Tim Gardner

Bug Description

Affects: Ubuntu 12.04.2 LTS
Linux streamtest 3.2.0-37-generic-pae #58-Ubuntu SMP Thu Jan 24 15:51:02 UTC 2013 i686 i686 i386 GNU/Linux

Summary:
When using an Audioscience ASI6522 sound card, the firmware provided in /lib/firmware/asihpi/ does not match the driver supplied by the Linux kernel, snd_asihpi (snd-asihpi.ko). This prevents the use of the hardware by Alsa.

What is expected to happen:
The correct firmware for the installed hardware to be loaded onto the hardware.

What actually happens:
The incorrect firmware is present, and thus, unable to be loaded onto the hardware.

Evidence from dmesg:
[ 6115.574089] ASIHPI driver 4.08.00
[ 6115.574215] snd_asihpi 0000:03:04.0: probe 104c:a106,175c:6500,0020
[ 6115.650366] snd_asihpi 0000:03:04.0: Incompatible firmware version DSP image 40313 != Driver 40800
[ 6115.650433] hpi6205.c:568 DSP code load failed
[ 6115.652532] hpioctl.c:430 adapter_probe failed

Workaround:
As a work around, one can download the correct version of firmware from the manufacturer's website and manually place it in /lib/firmware/asihpi/. The following step-by-step assumes you are using kernel 3.2.0-37-generic-pae which uses the 4.08.00 version of the sound card driver.

1. Download the driver source: http://www.audioscience.com/internet/download/drivers/released/v4/08/00/hpklinux-4.08.00.tar.bz2
2. Extract the source: tar -xf hpklinux-4.08.00.tar.bz2
3. Rename the existing firmware directory, just to be safe: sudo mv /lib/firmware/asihpi{,.bak}
4. Copy the correct firmware to the exepcted location: sudo mkdir /lib/firmware/asihpi; sudo cp hpklinux-4.08.00/firmware/*.bin /lib/firmware/asihpi/
5. Reload alsa: sudo alsa reload

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1122377/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → linux-firmware (Ubuntu)
Tim Gardner (timg-tpi) on 2013-02-12
Changed in linux-firmware (Ubuntu Raring):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Tim Gardner (timg-tpi) on 2013-02-12
Changed in linux-firmware (Ubuntu Raring):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.102

---------------
linux-firmware (1.102) raring; urgency=low

  * Updated asihpi firmware from http://www.audioscience.com/internet/download/drivers/released/v4/08/00/hpklinux-4.08.00.tar.bz2
    -LP: #1122377
 -- Tim Gardner <email address hidden> Tue, 12 Feb 2013 05:47:25 -0700

Changed in linux-firmware (Ubuntu Raring):
status: Fix Committed → Fix Released
musicalvegan0 (musicalvegan0) wrote :

Thanks for your work, Tim!

Tim Gardner (timg-tpi) on 2013-07-11
Changed in linux-firmware (Ubuntu Precise):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed

Hello musicalvegan0, or anyone else affected,

Accepted linux-firmware into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/linux-firmware/1.79.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

musicalvegan0 (musicalvegan0) wrote :

I can confirm that the package at http://launchpad.net/ubuntu/+source/linux-firmware/1.79.5 fixes this bug.

tags: added: verification-done
Adam Conrad (adconrad) wrote :

Hello musicalvegan0, or anyone else affected,

Accepted linux-firmware into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/linux-firmware/1.79.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.79.6

---------------
linux-firmware (1.79.6) precise-proposed; urgency=low

  * 31f6b3076bab3c4b65f67fdb232f4579ed828b4f linux-firmware: Update AMD microcode patch firmware files
    This AMD ucode fixes some severe lockup issues on AMD family
    15h CPUs when under high load. The fix for erratum #759 being
    the most severe.
    - LP: #1200533

linux-firmware (1.79.5) precise-proposed; urgency=low

  * UBUNTU: Update asihpi firmware. The original firmware files were
    simply non-functional.
    -LP: #1122377
  * rtlwifi/rtl8723e: Add firmware for new driver in LTS kernels,
    Raring and newer.
    -LP: #1187688
 -- Tim Gardner <email address hidden> Fri, 12 Jul 2013 08:04:42 -0600

Changed in linux-firmware (Ubuntu Precise):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
musicalvegan0 (musicalvegan0) wrote :

I'd like to suggest reopening this bug for 14.04. Upon a recent upgrade from 12.04 to 14.04, this message was generated in dmesg:

[ 23.196286] snd_asihpi 0000:04:02.0: probe 104c:a106,175c:6500,0010
[ 23.646352] snd_asihpi 0000:04:02.0: Incompatible firmware version DSP image 9F60 != Driver 40A01

As you can see, the driver in the kernel is version 4.10.1 but the firmware in linux-firmware does not match. The correct firmware can be downloaded from here: http://www.audioscience.com/internet/download/drivers/released/v4/10/01/dspbins41001.7z

Bolin Hsu (bolin-hsu) wrote :

I observed the bug on 12.04.5, linux-image-3.13.0-54-generic(3.13.0-54.91~precise1) and linux-firmware(1.79.18).

[ 5.003958] ASIHPI driver 4.10.01
[ 5.004001] snd_asihpi 0000:09:00.0: probe 104c:a106,175c:5600,0000
[ 5.069423] snd_asihpi 0000:09:00.0: Incompatible firmware version DSP image 9F60 != Driver 40A01

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers